org.eclipse.gef4.zest.core.viewers

## Interface IGraphEntityContentProvider

All Superinterfaces:
  IContentProvider, IStructuredContentProvider

    public interface IGraphEntityContentProvider
    extends IStructuredContentProvider

### Method Summary

Methods
`java.lang.Object[]` `getConnectedTo(java.lang.Object entity)` Gets the elements this object is connected to
`java.lang.Object[]` `getElements(java.lang.Object inputElement)`

### Methods inherited from interface org.eclipse.jface.viewers.IContentProvider

`dispose, inputChanged`

### Method Detail

#### getElements

    java.lang.Object[] getElements(java.lang.Object inputElement)

Specified by:
  `getElements` in interface `IStructuredContentProvider`

#### getConnectedTo

    java.lang.Object[] getConnectedTo(java.lang.Object entity)

Gets the elements this object is connected to

Parameters:
  `entity` -
Returns: